UM C API 6.17.1

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- Data Structures
- Data Fields

Data Fields
_Lbmmon__SRSMonMsg__Configs Struct Reference

## Data Fields
ProtobufCMessage | base
char * | version
char * | daemon_log
char * | daemon_log_type
char * | daemon_log_frequency
char * | daemon_log_size
char * | daemon_log_max_history
char * | daemon_log_total_size_cap
char * | daemon_log_compression
char * | daemon_pid_file
char * | srs_interface
char * | srs_port
char * | srs_state_lifetime
char * | srs_source_state_lifetime
char * | srs_interest_state_lifetime
char * | srs_route_state_lifetime
char * | srs_context_name_state_lifetime
char * | srs_source_leave_backoff
char * | srs_clientactor_request_stream_max_msg_count
char * | srs_clientactor_record_queue_service_interval
char * | srs_clientactor_batch_frame_max_record_count
char * | srs_clientactor_batch_frame_max_datagram_size
char * | srs_application_id
char * | debug_monitor_interface
char * | debug_monitor_port
char * | debug_monitor_enabled
char * | debug_monitor_ping_interval
char * | daemon_monitor_topic
char * | daemon_monitor_ping_interval
char * | daemon_monitor_publishing_interval_default
char * | daemon_monitor_publishing_interval_srs_stats
char * | daemon_monitor_publishing_interval_um_client_stats
char * | daemon_monitor_publishing_interval_connection_events
char * | daemon_monitor_publishing_interval_srs_error_stats
char * | daemon_monitor_publishing_interval_um_client_error_stats
char * | daemon_monitor_publishing_interval_config_opts
char * | daemon_monitor_publishing_interval_internal_config_opts
char * | daemon_monitor_publish_connection_events_allow
char * | daemon_monitor_remote_snapshot_request_allow
char * | daemon_monitor_remote_config_changes_request_allow
char * | daemon_monitor_monitor_format
size_t | n_daemon_monitor_lbm_attributes
Lbmmon__SRSMonMsg__Configs__DaemonMonitorLBMAttribute ** | daemon_monitor_lbm_attributes
Lbmmon__SRSMonMsg__Configs__Internal * | internal

The documentation for this struct was generated from the following file:

- srs_mon.pb-c.h